# GET /settlement-history

Returns the historical settlement prices for a given asset.

`GET https://api.aevo.xyz/settlement-history`

## Example Request

```bash
curl --request GET \
     --url https://api.aevo.xyz/settlement-history \
     --header 'accept: application/json'
```

## Responses

**`200`** — Array of historical settlement price of the asset.

Array of:

| Field                  | Type   | Required | Description                                                                    |
| ---------------------- | ------ | -------- | ------------------------------------------------------------------------------ |
| `asset`                | string | Yes      | Name of underlying asset. Example: `ETH`                                       |
| `expiry`               | string | Yes      | Option expiry in UNIX timestamp in nanoseconds. Example: `1680249600000000000` |
| `settlement_price`     | string | Yes      | Settlement price at expiry. Example: `1734.23`                                 |
| `settlement_timestamp` | string | Yes      | Timestamp at which the settlement price is set Example: `1680249600000000000`  |

**`400`** — Bad request.

| Field   | Type   | Required | Description                                     |
| ------- | ------ | -------- | ----------------------------------------------- |
| `error` | string | Yes      | Error message. Example: `ERR_MALFORMED_REQUEST` |

**`429`** — Rate limit exceeded.

| Field   | Type   | Required | Description                                   |
| ------- | ------ | -------- | --------------------------------------------- |
| `error` | string | Yes      | Error message. Example: `RATE_LIMIT_EXCEEDED` |

**`500`** — Internal server error.

| Field   | Type   | Required | Description                              |
| ------- | ------ | -------- | ---------------------------------------- |
| `error` | string | Yes      | Error message. Example: `INTERNAL_ERROR` |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aevo.xyz/api-reference/urls/public-api/getsettlementhistory.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
